### Hierarchy

- Node
- NonElementParentNode
- DocumentOrShadowRoot
- ParentNode
- GlobalEventHandlers
- DocumentAndElementEventHandlers
  - Document
    - HTMLDocument
    - XMLDocument

## Index

### Properties

- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- NOTATION_NODE
- Node
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- URL
- activeElement
- alinkColor
- all
- anchors
- applets
- baseURI
- bgColor
- body
- characterSet
- charset
- childElementCount
- childNodes
- children
- compatMode
- contentType
- cookie
- currentScript
- defaultView
- designMode
- dir
- doctype
- documentElement
- documentURI
- domain
- embeds
- fgColor
- firstChild
- firstElementChild
- forms
- fullscreen
- fullscreenEnabled
- head
- hidden
- images
- implementation
- inputEncoding
- isConnected
- lastChild
- lastElementChild
- lastModified
- linkColor
- links
- location
- namespaceURI
- nextSibling
- nodeName
- nodeType
- nodeValue
- onabort
- onanimationcancel
- onanimationend
- onanimationiteration
- onanimationstart
- onauxclick
- onblur
- oncancel
- oncanplay
- oncanplaythrough
- onchange
- onclick
- onclose
- oncontextmenu
- oncopy
- oncuechange
- oncut
- ondblclick
- ondrag
- ondragend
- ondragenter
- ondragexit
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- onfullscreenchange
- onfullscreenerror
- ongotpointercapture
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onload
- onloadeddata
- onloadedmetadata
- onloadend
- onloadstart
- onlostpointercapture
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onpaste
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onprogress
- onratechange
- onreadystatechange
- onreset
- onresize
- onscroll
- onsecuritypolicyviolation
- onseeked
- onseeking
- onselect
- onstalled
- onsubmit
- onsuspend
- ontimeupdate
- ontoggle
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- ontransitioncancel
- ontransitionend
- ontransitionrun
- ontransitionstart
- onvisibilitychange
- onvolumechange
- onwaiting
- onwheel
- origin
- ownerDocument
- parentElement
- parentNode
- plugins
- previousSibling
- readyState
- referrer
- scripts
- scrollingElement
- styleSheets
- textContent
- timeline
- title
- visibilityState
- vlinkColor

### Methods

- addEventListener
- adoptNode
- append
- appendChild
- captureEvents
- caretPositionFromPoint
- caretRangeFromPoint
- clear
- cloneNode
- close
- compareDocumentPosition
- contains
- createAttribute
- createAttributeNS
- createCDATASection
- createComment
- createDocumentFragment
- createElement
- createElementNS
- createEvent
- createNodeIterator
- createProcessingInstruction
- createRange
- createTextNode
- createTouch
- createTouchList
- createTreeWalker
- dispatchEvent
- elementFromPoint
- elementsFromPoint
- evaluate
- execCommand
- exitFullscreen
- getAnimations
- getElementById
- getElementsByClassName
- getElementsByName
- getElementsByTagName
- getElementsByTagNameNS
- getRootNode
- getSelection
- hasChildNodes
- hasFocus
- importNode
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- normalize
- open
- prepend
- queryCommandEnabled
- queryCommandIndeterm
- queryCommandState
- queryCommandSupported
- queryCommandValue
- querySelector
- querySelectorAll
- releaseEvents
- removeChild
- removeEventListener
- replaceChild
- write
- writeln

## Properties

### ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10484

### CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10485

### COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10486

### DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10487

### DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10488

### DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10489

### DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10490

### DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10491

### DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10492

### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10493

### DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10494

### DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10495

### ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10496

### ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10497

### ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10498

### NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10499

### Node

Node: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10504

#### Type declaration

- ##### constructor: function

  - new __type(): Node
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10505

    #### Returns Node

- ##### ATTRIBUTE_NODE: number

- ##### CDATA_SECTION_NODE: number

- ##### COMMENT_NODE: number

- ##### DOCUMENT_FRAGMENT_NODE: number

- ##### DOCUMENT_NODE: number

- ##### DOCUMENT_POSITION_CONTAINED_BY: number

- ##### DOCUMENT_POSITION_CONTAINS: number

- ##### DOCUMENT_POSITION_DISCONNECTED: number

- ##### DOCUMENT_POSITION_FOLLOWING: number

- ##### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

- ##### DOCUMENT_POSITION_PRECEDING: number

- ##### DOCUMENT_TYPE_NODE: number

- ##### ELEMENT_NODE: number

- ##### ENTITY_NODE: number

- ##### ENTITY_REFERENCE_NODE: number

- ##### NOTATION_NODE: number

- ##### PROCESSING_INSTRUCTION_NODE: number

- ##### TEXT_NODE: number

- ##### prototype: Node

### PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10500

### TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10501

### URL

URL: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4037

Sets or gets the URL for the current document.

### activeElement

activeElement: Element | null

Overrides DocumentOrShadowRoot.activeElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4041

Gets the object that has the focus when the parent document has focus.

### alinkColor

alinkColor: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4046

deprecated

### all

all: HTMLAllCollection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4051

deprecated

### anchors

anchors: HTMLCollectionOf<HTMLAnchorElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4056

deprecated

### applets

applets: HTMLCollectionOf<HTMLAppletElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4061

deprecated

### baseURI

baseURI: string

Inherited from Node.baseURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10385

Returns node's node document's document base URL.

### bgColor

bgColor: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4066

deprecated

### body

body: HTMLElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4070

Specifies the beginning and end of the document body.

### characterSet

characterSet: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4074

Returns document's encoding.

### charset

charset: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4078

Gets or sets the character set used to encode the object.

### childElementCount

childElementCount: number

Inherited from ParentNode.childElementCount

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10799

### childNodes

childNodes: NodeListOf<ChildNode>

Inherited from Node.childNodes

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10389

Returns the children.

### children

children: HTMLCollection

Inherited from ParentNode.children

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10803

Returns the child elements.

### compatMode

compatMode: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4082

Gets a value that indicates whether standards-compliant mode is switched on for the object.

### contentType

contentType: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4086

Returns document's content type.

### cookie

cookie: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4096

Returns the HTTP cookies that apply to the Document. If there are no cookies or cookies can't be applied to this resource, the empty string will be returned. Can be set, to add a new cookie to the element's set of HTTP cookies. If the contents are sandboxed into a unique origin (e.g. in an iframe with the sandbox attribute), a "SecurityError" DOMException will be thrown on getting and setting.

### currentScript

currentScript: HTMLOrSVGScriptElement | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4107

Returns the script element, or the SVG script element, that is currently executing, as long as the element represents a classic script. In the case of reentrant script execution, returns the one that most recently started executing amongst those that have not yet finished executing. Returns null if the Document is not currently executing a script or SVG script element (e.g., because the running script is an event handler, or a timeout), or if the currently executing script or SVG script element represents a module script.

### defaultView

defaultView: WindowProxy | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4108

### designMode

designMode: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4112

Sets or gets a value that indicates whether the document can be edited.

### dir

dir: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4116

Sets or retrieves a value that indicates the reading order of the object.

### doctype

doctype: DocumentType | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4120

Gets an object representing the document type declaration associated with the current document.

### documentElement

documentElement: HTMLElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4124

Gets a reference to the root node of the document.

### documentURI

documentURI: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4128

Returns document's URL.

### domain

domain: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4132

Sets or gets the security domain of the document.

### embeds

embeds: HTMLCollectionOf<HTMLEmbedElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4136

Retrieves a collection of all embed objects in the document.

### fgColor

fgColor: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4141

deprecated

### firstChild

firstChild: ChildNode | null

Inherited from Node.firstChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10393

Returns the first child.

### firstElementChild

firstElementChild: Element | null

Inherited from ParentNode.firstElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10807

Returns the first child that is an element, and null otherwise.

### forms

forms: HTMLCollectionOf<HTMLFormElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4145

Retrieves a collection, in source order, of all form objects in the document.

### fullscreen

fullscreen: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4147

deprecated

### fullscreenEnabled

fullscreenEnabled: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4152

Returns true if document has the ability to display elements fullscreen and fullscreen is supported, or false otherwise.

### head

head: HTMLHeadElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4156

Returns the head element.

### hidden

hidden: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4157

### images

images: HTMLCollectionOf<HTMLImageElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4161

Retrieves a collection, in source order, of img objects in the document.

### implementation

implementation: DOMImplementation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4165

Gets the implementation object of the current document.

### inputEncoding

inputEncoding: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4169

Returns the character encoding used to create the webpage that is loaded into the document object.

### isConnected

isConnected: boolean

Inherited from Node.isConnected

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10397

Returns true if node is connected and false otherwise.

### lastChild

lastChild: ChildNode | null

Inherited from Node.lastChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10401

Returns the last child.

### lastElementChild

lastElementChild: Element | null

Inherited from ParentNode.lastElementChild

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10811

Returns the last child that is an element, and null otherwise.

### lastModified

lastModified: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4173

Gets the date that the page was last modified, if the page supplies one.

### linkColor

linkColor: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4178

deprecated

### links

links: HTMLCollectionOf<HTMLAnchorElement | HTMLAreaElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4182

Retrieves a collection of all a objects that specify the href property and all area objects in the document.

### location

location: Location

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4186

Contains information about the current URL.

### namespaceURI

namespaceURI: string | null

Inherited from Node.namespaceURI

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10403

deprecated

### nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10407

Returns the next sibling.

### nodeName

nodeName: string

Inherited from Node.nodeName

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10430

Returns a string appropriate for the type of node, as follows: Element Its HTML-uppercased qualified name. Attr Its qualified name. Text "#text". CDATASection "#cdata-section". ProcessingInstruction Its target. Comment "#comment". Document "#document". DocumentType Its name. DocumentFragment "#document-fragment".

### nodeType

nodeType: number

Inherited from Node.nodeType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10431

### nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10432

### onabort

onabort: function | null

Inherited from GlobalEventHandlers.onabort

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5387

Fires when the user aborts the download.

param

  The event.

### onanimationcancel

onanimationcancel: function | null

Inherited from GlobalEventHandlers.onanimationcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5388

### onanimationend

onanimationend: function | null

Inherited from GlobalEventHandlers.onanimationend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5389

### onanimationiteration

onanimationiteration: function | null

Inherited from GlobalEventHandlers.onanimationiteration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5390

### onanimationstart

onanimationstart: function | null

Inherited from GlobalEventHandlers.onanimationstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5391

### onauxclick

onauxclick: function | null

Inherited from GlobalEventHandlers.onauxclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5392

### onblur

onblur: function | null

Inherited from GlobalEventHandlers.onblur

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5397

Fires when the object loses the input focus.

param

  The focus event.

### oncancel

oncancel: function | null

Inherited from GlobalEventHandlers.oncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5398

### oncanplay

oncanplay: function | null

Inherited from GlobalEventHandlers.oncanplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5403

Occurs when playback is possible, but would require further buffering.

param

  The event.

### oncanplaythrough

oncanplaythrough: function | null

Inherited from GlobalEventHandlers.oncanplaythrough

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5404

### onchange

onchange: function | null

Inherited from GlobalEventHandlers.onchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5409

Fires when the contents of the object or selection have changed.

param

  The event.

### onclick

onclick: function | null

Inherited from GlobalEventHandlers.onclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5414

Fires when the user clicks the left mouse button on the object

param

  The mouse event.

### onclose

onclose: function | null

Inherited from GlobalEventHandlers.onclose

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5415

### oncontextmenu

oncontextmenu: function | null

Inherited from GlobalEventHandlers.oncontextmenu

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5420

Fires when the user clicks the right mouse button in the client area, opening the context menu.

param

  The mouse event.

### oncopy

oncopy: function | null

Inherited from DocumentAndElementEventHandlers.oncopy

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4589

### oncuechange

oncuechange: function | null

Inherited from GlobalEventHandlers.oncuechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5421

### oncut

oncut: function | null

Inherited from DocumentAndElementEventHandlers.oncut

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4590

### ondblclick

ondblclick: function | null

Inherited from GlobalEventHandlers.ondblclick

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5426

Fires when the user double-clicks the object.

param

  The mouse event.

### ondrag

ondrag: function | null

Inherited from GlobalEventHandlers.ondrag

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5431

Fires on the source object continuously during a drag operation.

param

  The event.

### ondragend

ondragend: function | null

Inherited from GlobalEventHandlers.ondragend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5436

Fires on the source object when the user releases the mouse at the close of a drag operation.

param

  The event.

### ondragenter

ondragenter: function | null

Inherited from GlobalEventHandlers.ondragenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5441

Fires on the target element when the user drags the object to a valid drop target.

param

  The drag event.

### ondragexit

ondragexit: function | null

Inherited from GlobalEventHandlers.ondragexit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5442

### ondragleave

ondragleave: function | null

Inherited from GlobalEventHandlers.ondragleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5447

Fires on the target object when the user moves the mouse out of a valid drop target during a drag operation.

param

  The drag event.

### ondragover

ondragover: function | null

Inherited from GlobalEventHandlers.ondragover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5452

Fires on the target element continuously while the user drags the object over a valid drop target.

param

  The event.

### ondragstart

ondragstart: function | null

Inherited from GlobalEventHandlers.ondragstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5457

Fires on the source object when the user starts to drag a text selection or selected object.

param

  The event.

### ondrop

ondrop: function | null

Inherited from GlobalEventHandlers.ondrop

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5458

### ondurationchange

ondurationchange: function | null

Inherited from GlobalEventHandlers.ondurationchange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5463

Occurs when the duration attribute is updated.

param

  The event.

### onemptied

onemptied: function | null

Inherited from GlobalEventHandlers.onemptied

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5468

Occurs when the media element is reset to its initial state.

param

  The event.

### onended

onended: function | null

Inherited from GlobalEventHandlers.onended

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5473

Occurs when the end of playback is reached.

param

  The event

### onerror

onerror: ErrorEventHandler

Inherited from GlobalEventHandlers.onerror

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5478

Fires when an error occurs during object loading.

param

  The event.

### onfocus

onfocus: function | null

Inherited from GlobalEventHandlers.onfocus

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5483

Fires when the object receives focus.

param

  The event.

### onfullscreenchange

onfullscreenchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4187

### onfullscreenerror

onfullscreenerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4188

### ongotpointercapture

ongotpointercapture: function | null

Inherited from GlobalEventHandlers.ongotpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5484

### oninput

oninput: function | null

Inherited from GlobalEventHandlers.oninput

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5485

### oninvalid

oninvalid: function | null

Inherited from GlobalEventHandlers.oninvalid

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5486

### onkeydown

onkeydown: function | null

Inherited from GlobalEventHandlers.onkeydown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5491

Fires when the user presses a key.

param

  The keyboard event

### onkeypress

onkeypress: function | null

Inherited from GlobalEventHandlers.onkeypress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5496

Fires when the user presses an alphanumeric key.

param

  The event.

### onkeyup

onkeyup: function | null

Inherited from GlobalEventHandlers.onkeyup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5501

Fires when the user releases a key.

param

  The keyboard event

### onload

onload: function | null

Inherited from GlobalEventHandlers.onload

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5506

Fires immediately after the browser loads the object.

param

  The event.

### onloadeddata

onloadeddata: function | null

Inherited from GlobalEventHandlers.onloadeddata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5511

Occurs when media data is loaded at the current playback position.

param

  The event.

### onloadedmetadata

onloadedmetadata: function | null

Inherited from GlobalEventHandlers.onloadedmetadata

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5516

Occurs when the duration and dimensions of the media have been determined.

param

  The event.

### onloadend

onloadend: function | null

Inherited from GlobalEventHandlers.onloadend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5517

### onloadstart

onloadstart: function | null

Inherited from GlobalEventHandlers.onloadstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5522

Occurs when Internet Explorer begins looking for media data.

param

  The event.

### onlostpointercapture

onlostpointercapture: function | null

Inherited from GlobalEventHandlers.onlostpointercapture

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5523

### onmousedown

onmousedown: function | null

Inherited from GlobalEventHandlers.onmousedown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5528

Fires when the user clicks the object with either mouse button.

param

  The mouse event.

### onmouseenter

onmouseenter: function | null

Inherited from GlobalEventHandlers.onmouseenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5529

### onmouseleave

onmouseleave: function | null

Inherited from GlobalEventHandlers.onmouseleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5530

### onmousemove

onmousemove: function | null

Inherited from GlobalEventHandlers.onmousemove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5535

Fires when the user moves the mouse over the object.

param

  The mouse event.

### onmouseout

onmouseout: function | null

Inherited from GlobalEventHandlers.onmouseout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5540

Fires when the user moves the mouse pointer outside the boundaries of the object.

param

  The mouse event.

### onmouseover

onmouseover: function | null

Inherited from GlobalEventHandlers.onmouseover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5545

Fires when the user moves the mouse pointer into the object.

param

  The mouse event.

### onmouseup

onmouseup: function | null

Inherited from GlobalEventHandlers.onmouseup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5550

Fires when the user releases a mouse button while the mouse is over the object.

param

  The mouse event.

### onpaste

onpaste: function | null

Inherited from DocumentAndElementEventHandlers.onpaste

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4591

### onpause

onpause: function | null

Inherited from GlobalEventHandlers.onpause

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5555

Occurs when playback is paused.

param

  The event.

### onplay

onplay: function | null

Inherited from GlobalEventHandlers.onplay

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5560

Occurs when the play method is requested.

param

  The event.

### onplaying

onplaying: function | null

Inherited from GlobalEventHandlers.onplaying

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5565

Occurs when the audio or video has started playing.

param

  The event.

### onpointercancel

onpointercancel: function | null

Inherited from GlobalEventHandlers.onpointercancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5566

### onpointerdown

onpointerdown: function | null

Inherited from GlobalEventHandlers.onpointerdown

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5567

### onpointerenter

onpointerenter: function | null

Inherited from GlobalEventHandlers.onpointerenter

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5568

### onpointerleave

onpointerleave: function | null

Inherited from GlobalEventHandlers.onpointerleave

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5569

### onpointermove

onpointermove: function | null

Inherited from GlobalEventHandlers.onpointermove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5570

### onpointerout

onpointerout: function | null

Inherited from GlobalEventHandlers.onpointerout

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5571

### onpointerover

onpointerover: function | null

Inherited from GlobalEventHandlers.onpointerover

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5572

### onpointerup

onpointerup: function | null

Inherited from GlobalEventHandlers.onpointerup

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5573

### onprogress

onprogress: function | null

Inherited from GlobalEventHandlers.onprogress

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5578

Occurs to indicate progress while downloading media data.

param

  The event.

### onratechange

onratechange: function | null

Inherited from GlobalEventHandlers.onratechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5583

Occurs when the playback rate is increased or decreased.

param

  The event.

### onreadystatechange

onreadystatechange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4193

Fires when the state of the object has changed.

param

  The event

### onreset

onreset: function | null

Inherited from GlobalEventHandlers.onreset

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5588

Fires when the user resets a form.

param

  The event.

### onresize

onresize: function | null

Inherited from GlobalEventHandlers.onresize

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5589

### onscroll

onscroll: function | null

Inherited from GlobalEventHandlers.onscroll

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5594

Fires when the user repositions the scroll box in the scroll bar on the object.

param

  The event.

### onsecuritypolicyviolation

onsecuritypolicyviolation: function | null

Inherited from GlobalEventHandlers.onsecuritypolicyviolation

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5595

### onseeked

onseeked: function | null

Inherited from GlobalEventHandlers.onseeked

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5600

Occurs when the seek operation ends.

param

  The event.

### onseeking

onseeking: function | null

Inherited from GlobalEventHandlers.onseeking

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5605

Occurs when the current playback position is moved.

param

  The event.

### onselect

onselect: function | null

Inherited from GlobalEventHandlers.onselect

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5610

Fires when the current selection changes.

param

  The event.

### onstalled

onstalled: function | null

Inherited from GlobalEventHandlers.onstalled

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5615

Occurs when the download has stopped.

param

  The event.

### onsubmit

onsubmit: function | null

Inherited from GlobalEventHandlers.onsubmit

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5616

### onsuspend

onsuspend: function | null

Inherited from GlobalEventHandlers.onsuspend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5621

Occurs if the load operation has been intentionally halted.

param

  The event.

### ontimeupdate

ontimeupdate: function | null

Inherited from GlobalEventHandlers.ontimeupdate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5626

Occurs to indicate the current playback position.

param

  The event.

### ontoggle

ontoggle: function | null

Inherited from GlobalEventHandlers.ontoggle

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5627

### ontouchcancel

ontouchcancel: function | null

Inherited from GlobalEventHandlers.ontouchcancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5628

### ontouchend

ontouchend: function | null

Inherited from GlobalEventHandlers.ontouchend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5629

### ontouchmove

ontouchmove: function | null

Inherited from GlobalEventHandlers.ontouchmove

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5630

### ontouchstart

ontouchstart: function | null

Inherited from GlobalEventHandlers.ontouchstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5631

### ontransitioncancel

ontransitioncancel: function | null

Inherited from GlobalEventHandlers.ontransitioncancel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5632

### ontransitionend

ontransitionend: function | null

Inherited from GlobalEventHandlers.ontransitionend

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5633

### ontransitionrun

ontransitionrun: function | null

Inherited from GlobalEventHandlers.ontransitionrun

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5634

### ontransitionstart

ontransitionstart: function | null

Inherited from GlobalEventHandlers.ontransitionstart

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5635

### onvisibilitychange

onvisibilitychange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4194

### onvolumechange

onvolumechange: function | null

Inherited from GlobalEventHandlers.onvolumechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5640

Occurs when the volume is changed, or playback is muted or unmuted.

param

  The event.

### onwaiting

onwaiting: function | null

Inherited from GlobalEventHandlers.onwaiting

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5645

Occurs when playback stops because the next frame of a video resource is not available.

param

  The event.

### onwheel

onwheel: function | null

Inherited from GlobalEventHandlers.onwheel

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5646

### origin

origin: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4198

Returns document's origin.

### ownerDocument

ownerDocument: Document | null

Inherited from Node.ownerDocument

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10437

Returns the node document. Returns null for documents.

### parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10441

Returns the parent element.

### parentNode

parentNode: Node & ParentNode | null

Inherited from Node.parentNode

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10445

Returns the parent.

### plugins

plugins: HTMLCollectionOf<HTMLEmbedElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4202

Return an HTMLCollection of the embed elements in the Document.

### previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10449

Returns the previous sibling.

### readyState

readyState: DocumentReadyState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4206

Retrieves a value that indicates the current state of the object.

### referrer

referrer: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4210

Gets the URL of the location that referred the user to the current page.

### scripts

scripts: HTMLCollectionOf<HTMLScriptElement>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4214

Retrieves a collection of all script objects in the document.

### scrollingElement

scrollingElement: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4215

### styleSheets

styleSheets: StyleSheetList

Inherited from DocumentOrShadowRoot.styleSheets

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4693

Retrieves a collection of styleSheet objects representing the style sheets that correspond to each instance of a link or style object in the document.

### textContent

textContent: string | null

Inherited from Node.textContent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10450

### timeline

timeline: DocumentTimeline

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4216

### title

title: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4220

Contains the title of the document.

### visibilityState

visibilityState: VisibilityState

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4221

### vlinkColor

vlinkColor: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4226

deprecated

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4571

  Returns an object representing the current selection of the document that is loaded into the object displaying a webpage.

  #### Type parameters

  - #### K: keyof DocumentEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Document, ev: DocumentEventMap[K]): any

      - #### Parameters

        - ##### this: Document

        - ##### ev: DocumentEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4572

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### adoptNode

- adoptNode<T>(source: T): T

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4232

  Moves node from another document and returns it. If node is a document, throws a "NotSupportedError" DOMException or, if node is a shadow root, throws a "HierarchyRequestError" DOMException.

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### source: T

  #### Returns T

### append

- append(...nodes: (string | Node)[]): void

- Inherited from ParentNode.append

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10818

  Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10451

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### captureEvents

- captureEvents(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4234
  deprecated

  #### Returns void

### caretPositionFromPoint

- caretPositionFromPoint(x: number, y: number): CaretPosition | null

- Overrides DocumentOrShadowRoot.caretPositionFromPoint

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4235

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns CaretPosition | null

### caretRangeFromPoint

- caretRangeFromPoint(x: number, y: number): Range

- Overrides DocumentOrShadowRoot.caretRangeFromPoint

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4237
  deprecated

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Range

### clear

- clear(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4239
  deprecated

  #### Returns void

### cloneNode

- cloneNode(deep?: undefined | false | true): Node

- Inherited from Node.cloneNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10455

  Returns a copy of node. If deep is true, the copy also includes the node's descendants.

  #### Parameters

  - ##### Optional deep: undefined | false | true

  #### Returns Node

### close

- close(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4243

  Closes an output stream and forces the sent data to display.

  #### Returns void

### compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10456

  #### Parameters

  - ##### other: Node

  #### Returns number

### contains

- contains(other: Node | null): boolean

- Inherited from Node.contains

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10460

  Returns true if other is an inclusive descendant of node, and false otherwise.

  #### Parameters

  - ##### other: Node | null

  #### Returns boolean

### createAttribute

- createAttribute(localName: string): Attr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4248

  Creates an attribute object with a specified name.

  #### Parameters

  - ##### localName: string

  #### Returns Attr

### createAttributeNS

- createAttributeNS(namespace: string | null, qualifiedName: string): Attr

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4249

  #### Parameters

  - ##### namespace: string | null

  - ##### qualifiedName: string

  #### Returns Attr

### createCDATASection

- createCDATASection(data: string): CDATASection

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4253

  Returns a CDATASection node whose data is data.

  #### Parameters

  - ##### data: string

  #### Returns CDATASection

### createComment

- createComment(data: string): Comment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4258

  Creates a comment object with the specified data.

  #### Parameters

  - ##### data: string

    Sets the comment object's data.

  #### Returns Comment

### createDocumentFragment

- createDocumentFragment(): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4262

  Creates a new document.

  #### Returns DocumentFragment

### createElement

- createElement<K>(tagName: K, options?: ElementCreationOptions): HTMLElementTagNameMap[K]
- createElement<K>(tagName: K, options?: ElementCreationOptions): HTMLElementDeprecatedTagNameMap[K]
- createElement(tagName: string, options?: ElementCreationOptions): HTMLElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4267

  Creates an instance of the element for the specified tag.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### tagName: K

    The name of an element.

  - ##### Optional options: ElementCreationOptions

  #### Returns HTMLElementTagNameMap[K]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4269
  deprecated

  #### Type parameters

  - #### K: keyof HTMLElementDeprecatedTagNameMap

  #### Parameters

  - ##### tagName: K

  - ##### Optional options: ElementCreationOptions

  #### Returns HTMLElementDeprecatedTagNameMap[K]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4270

  #### Parameters

  - ##### tagName: string

  - ##### Optional options: ElementCreationOptions

  #### Returns HTMLElement

### createElementNS

- createElementNS(namespaceURI: "http://www.w3.org/1999/xhtml", qualifiedName: string): HTMLElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "a"): SVGAElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "circle"): SVGCircleElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "clipPath"): SVGClipPathElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "componentTransferFunction"): SVGComponentTransferFunctionElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "cursor"): SVGCursorElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "defs"): SVGDefsElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "desc"): SVGDescElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "ellipse"): SVGEllipseElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feBlend"): SVGFEBlendElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feColorMatrix"): SVGFEColorMatrixElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComponentTransfer"): SVGFEComponentTransferElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feComposite"): SVGFECompositeElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feConvolveMatrix"): SVGFEConvolveMatrixElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDiffuseLighting"): SVGFEDiffuseLightingElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDisplacementMap"): SVGFEDisplacementMapElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feDistantLight"): SVGFEDistantLightElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFlood"): SVGFEFloodElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncA"): SVGFEFuncAElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncB"): SVGFEFuncBElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncG"): SVGFEFuncGElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feFuncR"): SVGFEFuncRElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feGaussianBlur"): SVGFEGaussianBlurElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feImage"): SVGFEImageElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMerge"): SVGFEMergeElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMergeNode"): SVGFEMergeNodeElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feMorphology"): SVGFEMorphologyElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feOffset"): SVGFEOffsetElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "fePointLight"): SVGFEPointLightElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpecularLighting"): SVGFESpecularLightingElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feSpotLight"): SVGFESpotLightElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTile"): SVGFETileElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "feTurbulence"): SVGFETurbulenceElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "filter"): SVGFilterElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "foreignObject"): SVGForeignObjectElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "g"): SVGGElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "image"): SVGImageElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "gradient"): SVGGradientElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "line"): SVGLineElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "linearGradient"): SVGLinearGradientElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "marker"): SVGMarkerElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "mask"): SVGMaskElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "path"): SVGPathElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "metadata"): SVGMetadataElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "pattern"): SVGPatternElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polygon"): SVGPolygonElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "polyline"): SVGPolylineElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "radialGradient"): SVGRadialGradientElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "rect"): SVGRectElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "svg"): SVGSVGElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "script"): SVGScriptElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "stop"): SVGStopElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "style"): SVGStyleElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "switch"): SVGSwitchElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "symbol"): SVGSymbolElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "tspan"): SVGTSpanElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textContent"): SVGTextContentElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "text"): SVGTextElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPath"): SVGTextPathElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "textPositioning"): SVGTextPositioningElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "title"): SVGTitleElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "use"): SVGUseElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: "view"): SVGViewElement
- createElementNS(namespaceURI: "http://www.w3.org/2000/svg", qualifiedName: string): SVGElement
- createElementNS(namespaceURI: string | null, qualifiedName: string, options?: ElementCreationOptions): Element
- createElementNS(namespace: string | null, qualifiedName: string, options?: string | ElementCreationOptions): Element

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4285

  Returns an element with namespace namespace. Its namespace prefix will be everything before ":" (U+003E) in qualifiedName or null. Its local name will be everything after ":" (U+003E) in qualifiedName or qualifiedName. If localName does not match the Name production an "InvalidCharacterError" DOMException will be thrown. If one of the following conditions is true a "NamespaceError" DOMException will be thrown: localName does not match the QName production. Namespace prefix is not null and namespace is the empty string. Namespace prefix is "xml" and namespace is not the XML namespace. qualifiedName or namespace prefix is "xmlns" and namespace is not the XMLNS namespace. namespace is the XMLNS namespace and neither qualifiedName nor namespace prefix is "xmlns". When supplied, options's is can be used to create a customized built-in element.

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### qualifiedName: string

  #### Returns HTMLElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4286

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "a"

  #### Returns SVGAElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4287

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "circle"

  #### Returns SVGCircleElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4288

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "clipPath"

  #### Returns SVGClipPathElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4289

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "componentTransferFunction"

  #### Returns SVGComponentTransferFunctionElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4290

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "cursor"

  #### Returns SVGCursorElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4291

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "defs"

  #### Returns SVGDefsElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4292

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "desc"

  #### Returns SVGDescElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4293

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "ellipse"

  #### Returns SVGEllipseElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4294

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feBlend"

  #### Returns SVGFEBlendElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4295

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feColorMatrix"

  #### Returns SVGFEColorMatrixElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4296

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feComponentTransfer"

  #### Returns SVGFEComponentTransferElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4297

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feComposite"

  #### Returns SVGFECompositeElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4298

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feConvolveMatrix"

  #### Returns SVGFEConvolveMatrixElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4299

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feDiffuseLighting"

  #### Returns SVGFEDiffuseLightingElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4300

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feDisplacementMap"

  #### Returns SVGFEDisplacementMapElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4301

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feDistantLight"

  #### Returns SVGFEDistantLightElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4302

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feFlood"

  #### Returns SVGFEFloodElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4303

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feFuncA"

  #### Returns SVGFEFuncAElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4304

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feFuncB"

  #### Returns SVGFEFuncBElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4305

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feFuncG"

  #### Returns SVGFEFuncGElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4306

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feFuncR"

  #### Returns SVGFEFuncRElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4307

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feGaussianBlur"

  #### Returns SVGFEGaussianBlurElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4308

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feImage"

  #### Returns SVGFEImageElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4309

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feMerge"

  #### Returns SVGFEMergeElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4310

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feMergeNode"

  #### Returns SVGFEMergeNodeElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4311

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feMorphology"

  #### Returns SVGFEMorphologyElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4312

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feOffset"

  #### Returns SVGFEOffsetElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4313

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "fePointLight"

  #### Returns SVGFEPointLightElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4314

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feSpecularLighting"

  #### Returns SVGFESpecularLightingElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4315

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feSpotLight"

  #### Returns SVGFESpotLightElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4316

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feTile"

  #### Returns SVGFETileElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4317

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "feTurbulence"

  #### Returns SVGFETurbulenceElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4318

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "filter"

  #### Returns SVGFilterElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4319

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "foreignObject"

  #### Returns SVGForeignObjectElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4320

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "g"

  #### Returns SVGGElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4321

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "image"

  #### Returns SVGImageElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4322

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "gradient"

  #### Returns SVGGradientElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4323

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "line"

  #### Returns SVGLineElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4324

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "linearGradient"

  #### Returns SVGLinearGradientElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4325

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "marker"

  #### Returns SVGMarkerElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4326

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "mask"

  #### Returns SVGMaskElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4327

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "path"

  #### Returns SVGPathElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4328

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "metadata"

  #### Returns SVGMetadataElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4329

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "pattern"

  #### Returns SVGPatternElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4330

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "polygon"

  #### Returns SVGPolygonElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4331

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "polyline"

  #### Returns SVGPolylineElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4332

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "radialGradient"

  #### Returns SVGRadialGradientElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4333

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "rect"

  #### Returns SVGRectElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4334

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "svg"

  #### Returns SVGSVGElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4335

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "script"

  #### Returns SVGScriptElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4336

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "stop"

  #### Returns SVGStopElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4337

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "style"

  #### Returns SVGStyleElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4338

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "switch"

  #### Returns SVGSwitchElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4339

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "symbol"

  #### Returns SVGSymbolElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4340

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "tspan"

  #### Returns SVGTSpanElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4341

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "textContent"

  #### Returns SVGTextContentElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4342

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "text"

  #### Returns SVGTextElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4343

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "textPath"

  #### Returns SVGTextPathElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4344

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "textPositioning"

  #### Returns SVGTextPositioningElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4345

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "title"

  #### Returns SVGTitleElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4346

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "use"

  #### Returns SVGUseElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4347

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: "view"

  #### Returns SVGViewElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4348

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### qualifiedName: string

  #### Returns SVGElement

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4349

  #### Parameters

  - ##### namespaceURI: string | null

  - ##### qualifiedName: string

  - ##### Optional options: ElementCreationOptions

  #### Returns Element

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4350

  #### Parameters

  - ##### namespace: string | null

  - ##### qualifiedName: string

  - ##### Optional options: string | ElementCreationOptions

  #### Returns Element

### createEvent

- createEvent(eventInterface: "AnimationEvent"): AnimationEvent
- createEvent(eventInterface: "AnimationPlaybackEvent"): AnimationPlaybackEvent
- createEvent(eventInterface: "AudioProcessingEvent"): AudioProcessingEvent
- createEvent(eventInterface: "BeforeUnloadEvent"): BeforeUnloadEvent
- createEvent(eventInterface: "ClipboardEvent"): ClipboardEvent
- createEvent(eventInterface: "CloseEvent"): CloseEvent
- createEvent(eventInterface: "CompositionEvent"): CompositionEvent
- createEvent(eventInterface: "CustomEvent"): CustomEvent
- createEvent(eventInterface: "DeviceLightEvent"): DeviceLightEvent
- createEvent(eventInterface: "DeviceMotionEvent"): DeviceMotionEvent
- createEvent(eventInterface: "DeviceOrientationEvent"): DeviceOrientationEvent
- createEvent(eventInterface: "DragEvent"): DragEvent
- createEvent(eventInterface: "ErrorEvent"): ErrorEvent
- createEvent(eventInterface: "Event"): Event
- createEvent(eventInterface: "Events"): Event
- createEvent(eventInterface: "FocusEvent"): FocusEvent
- createEvent(eventInterface: "FocusNavigationEvent"): FocusNavigationEvent
- createEvent(eventInterface: "GamepadEvent"): GamepadEvent
- createEvent(eventInterface: "HashChangeEvent"): HashChangeEvent
- createEvent(eventInterface: "IDBVersionChangeEvent"): IDBVersionChangeEvent
- createEvent(eventInterface: "KeyboardEvent"): KeyboardEvent
- createEvent(eventInterface: "ListeningStateChangedEvent"): ListeningStateChangedEvent
- createEvent(eventInterface: "MSGestureEvent"): MSGestureEvent
- createEvent(eventInterface: "MSMediaKeyMessageEvent"): MSMediaKeyMessageEvent
- createEvent(eventInterface: "MSMediaKeyNeededEvent"): MSMediaKeyNeededEvent
- createEvent(eventInterface: "MSPointerEvent"): MSPointerEvent
- createEvent(eventInterface: "MediaEncryptedEvent"): MediaEncryptedEvent
- createEvent(eventInterface: "MediaKeyMessageEvent"): MediaKeyMessageEvent
- createEvent(eventInterface: "MediaQueryListEvent"): MediaQueryListEvent
- createEvent(eventInterface: "MediaStreamErrorEvent"): MediaStreamErrorEvent
- createEvent(eventInterface: "MediaStreamEvent"): MediaStreamEvent
- createEvent(eventInterface: "MediaStreamTrackEvent"): MediaStreamTrackEvent
- createEvent(eventInterface: "MessageEvent"): MessageEvent
- createEvent(eventInterface: "MouseEvent"): MouseEvent
- createEvent(eventInterface: "MouseEvents"): MouseEvent
- createEvent(eventInterface: "MutationEvent"): MutationEvent
- createEvent(eventInterface: "MutationEvents"): MutationEvent
- createEvent(eventInterface: "OfflineAudioCompletionEvent"): OfflineAudioCompletionEvent
- createEvent(eventInterface: "OverflowEvent"): OverflowEvent
- createEvent(eventInterface: "PageTransitionEvent"): PageTransitionEvent
- createEvent(eventInterface: "PaymentRequestUpdateEvent"): PaymentRequestUpdateEvent
- createEvent(eventInterface: "PermissionRequestedEvent"): PermissionRequestedEvent
- createEvent(eventInterface: "PointerEvent"): PointerEvent
- createEvent(eventInterface: "PopStateEvent"): PopStateEvent
- createEvent(eventInterface: "ProgressEvent"): ProgressEvent
- createEvent(eventInterface: "PromiseRejectionEvent"): PromiseRejectionEvent
- createEvent(eventInterface: "RTCDTMFToneChangeEvent"): RTCDTMFToneChangeEvent
- createEvent(eventInterface: "RTCDataChannelEvent"): RTCDataChannelEvent
- createEvent(eventInterface: "RTCDtlsTransportStateChangedEvent"): RTCDtlsTransportStateChangedEvent
- createEvent(eventInterface: "RTCErrorEvent"): RTCErrorEvent
- createEvent(eventInterface: "RTCIceCandidatePairChangedEvent"): RTCIceCandidatePairChangedEvent
- createEvent(eventInterface: "RTCIceGathererEvent"): RTCIceGathererEvent
- createEvent(eventInterface: "RTCIceTransportStateChangedEvent"): RTCIceTransportStateChangedEvent
- createEvent(eventInterface: "RTCPeerConnectionIceErrorEvent"): RTCPeerConnectionIceErrorEvent
- createEvent(eventInterface: "RTCPeerConnectionIceEvent"): RTCPeerConnectionIceEvent
- createEvent(eventInterface: "RTCSsrcConflictEvent"): RTCSsrcConflictEvent
- createEvent(eventInterface: "RTCStatsEvent"): RTCStatsEvent
- createEvent(eventInterface: "RTCTrackEvent"): RTCTrackEvent
- createEvent(eventInterface: "SVGZoomEvent"): SVGZoomEvent
- createEvent(eventInterface: "SVGZoomEvents"): SVGZoomEvent
- createEvent(eventInterface: "SecurityPolicyViolationEvent"): SecurityPolicyViolationEvent
- createEvent(eventInterface: "ServiceWorkerMessageEvent"): ServiceWorkerMessageEvent
- createEvent(eventInterface: "SpeechRecognitionError"): SpeechRecognitionError
- createEvent(eventInterface: "SpeechRecognitionEvent"): SpeechRecognitionEvent
- createEvent(eventInterface: "SpeechSynthesisErrorEvent"): SpeechSynthesisErrorEvent
- createEvent(eventInterface: "SpeechSynthesisEvent"): SpeechSynthesisEvent
- createEvent(eventInterface: "StorageEvent"): StorageEvent
- createEvent(eventInterface: "TextEvent"): TextEvent
- createEvent(eventInterface: "TouchEvent"): TouchEvent
- createEvent(eventInterface: "TrackEvent"): TrackEvent
- createEvent(eventInterface: "TransitionEvent"): TransitionEvent
- createEvent(eventInterface: "UIEvent"): UIEvent
- createEvent(eventInterface: "UIEvents"): UIEvent
- createEvent(eventInterface: "VRDisplayEvent"): VRDisplayEvent
- createEvent(eventInterface: "VRDisplayEvent "): VRDisplayEvent
- createEvent(eventInterface: "WebGLContextEvent"): WebGLContextEvent
- createEvent(eventInterface: "WheelEvent"): WheelEvent
- createEvent(eventInterface: string): Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4351

  #### Parameters

  - ##### eventInterface: "AnimationEvent"

  #### Returns AnimationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4352

  #### Parameters

  - ##### eventInterface: "AnimationPlaybackEvent"

  #### Returns AnimationPlaybackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4353

  #### Parameters

  - ##### eventInterface: "AudioProcessingEvent"

  #### Returns AudioProcessingEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4354

  #### Parameters

  - ##### eventInterface: "BeforeUnloadEvent"

  #### Returns BeforeUnloadEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4355

  #### Parameters

  - ##### eventInterface: "ClipboardEvent"

  #### Returns ClipboardEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4356

  #### Parameters

  - ##### eventInterface: "CloseEvent"

  #### Returns CloseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4357

  #### Parameters

  - ##### eventInterface: "CompositionEvent"

  #### Returns CompositionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4358

  #### Parameters

  - ##### eventInterface: "CustomEvent"

  #### Returns CustomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4359

  #### Parameters

  - ##### eventInterface: "DeviceLightEvent"

  #### Returns DeviceLightEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4360

  #### Parameters

  - ##### eventInterface: "DeviceMotionEvent"

  #### Returns DeviceMotionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4361

  #### Parameters

  - ##### eventInterface: "DeviceOrientationEvent"

  #### Returns DeviceOrientationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4362

  #### Parameters

  - ##### eventInterface: "DragEvent"

  #### Returns DragEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4363

  #### Parameters

  - ##### eventInterface: "ErrorEvent"

  #### Returns ErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4364

  #### Parameters

  - ##### eventInterface: "Event"

  #### Returns Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4365

  #### Parameters

  - ##### eventInterface: "Events"

  #### Returns Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4366

  #### Parameters

  - ##### eventInterface: "FocusEvent"

  #### Returns FocusEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4367

  #### Parameters

  - ##### eventInterface: "FocusNavigationEvent"

  #### Returns FocusNavigationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4368

  #### Parameters

  - ##### eventInterface: "GamepadEvent"

  #### Returns GamepadEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4369

  #### Parameters

  - ##### eventInterface: "HashChangeEvent"

  #### Returns HashChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4370

  #### Parameters

  - ##### eventInterface: "IDBVersionChangeEvent"

  #### Returns IDBVersionChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4371

  #### Parameters

  - ##### eventInterface: "KeyboardEvent"

  #### Returns KeyboardEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4372

  #### Parameters

  - ##### eventInterface: "ListeningStateChangedEvent"

  #### Returns ListeningStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4373

  #### Parameters

  - ##### eventInterface: "MSGestureEvent"

  #### Returns MSGestureEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4374

  #### Parameters

  - ##### eventInterface: "MSMediaKeyMessageEvent"

  #### Returns MSMediaKeyMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4375

  #### Parameters

  - ##### eventInterface: "MSMediaKeyNeededEvent"

  #### Returns MSMediaKeyNeededEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4376

  #### Parameters

  - ##### eventInterface: "MSPointerEvent"

  #### Returns MSPointerEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4377

  #### Parameters

  - ##### eventInterface: "MediaEncryptedEvent"

  #### Returns MediaEncryptedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4378

  #### Parameters

  - ##### eventInterface: "MediaKeyMessageEvent"

  #### Returns MediaKeyMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4379

  #### Parameters

  - ##### eventInterface: "MediaQueryListEvent"

  #### Returns MediaQueryListEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4380

  #### Parameters

  - ##### eventInterface: "MediaStreamErrorEvent"

  #### Returns MediaStreamErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4381

  #### Parameters

  - ##### eventInterface: "MediaStreamEvent"

  #### Returns MediaStreamEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4382

  #### Parameters

  - ##### eventInterface: "MediaStreamTrackEvent"

  #### Returns MediaStreamTrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4383

  #### Parameters

  - ##### eventInterface: "MessageEvent"

  #### Returns MessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4384

  #### Parameters

  - ##### eventInterface: "MouseEvent"

  #### Returns MouseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4385

  #### Parameters

  - ##### eventInterface: "MouseEvents"

  #### Returns MouseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4386

  #### Parameters

  - ##### eventInterface: "MutationEvent"

  #### Returns MutationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4387

  #### Parameters

  - ##### eventInterface: "MutationEvents"

  #### Returns MutationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4388

  #### Parameters

  - ##### eventInterface: "OfflineAudioCompletionEvent"

  #### Returns OfflineAudioCompletionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4389

  #### Parameters

  - ##### eventInterface: "OverflowEvent"

  #### Returns OverflowEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4390

  #### Parameters

  - ##### eventInterface: "PageTransitionEvent"

  #### Returns PageTransitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4391

  #### Parameters

  - ##### eventInterface: "PaymentRequestUpdateEvent"

  #### Returns PaymentRequestUpdateEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4392

  #### Parameters

  - ##### eventInterface: "PermissionRequestedEvent"

  #### Returns PermissionRequestedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4393

  #### Parameters

  - ##### eventInterface: "PointerEvent"

  #### Returns PointerEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4394

  #### Parameters

  - ##### eventInterface: "PopStateEvent"

  #### Returns PopStateEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4395

  #### Parameters

  - ##### eventInterface: "ProgressEvent"

  #### Returns ProgressEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4396

  #### Parameters

  - ##### eventInterface: "PromiseRejectionEvent"

  #### Returns PromiseRejectionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4397

  #### Parameters

  - ##### eventInterface: "RTCDTMFToneChangeEvent"

  #### Returns RTCDTMFToneChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4398

  #### Parameters

  - ##### eventInterface: "RTCDataChannelEvent"

  #### Returns RTCDataChannelEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4399

  #### Parameters

  - ##### eventInterface: "RTCDtlsTransportStateChangedEvent"

  #### Returns RTCDtlsTransportStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4400

  #### Parameters

  - ##### eventInterface: "RTCErrorEvent"

  #### Returns RTCErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4401

  #### Parameters

  - ##### eventInterface: "RTCIceCandidatePairChangedEvent"

  #### Returns RTCIceCandidatePairChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4402

  #### Parameters

  - ##### eventInterface: "RTCIceGathererEvent"

  #### Returns RTCIceGathererEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4403

  #### Parameters

  - ##### eventInterface: "RTCIceTransportStateChangedEvent"

  #### Returns RTCIceTransportStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4404

  #### Parameters

  - ##### eventInterface: "RTCPeerConnectionIceErrorEvent"

  #### Returns RTCPeerConnectionIceErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4405

  #### Parameters

  - ##### eventInterface: "RTCPeerConnectionIceEvent"

  #### Returns RTCPeerConnectionIceEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4406

  #### Parameters

  - ##### eventInterface: "RTCSsrcConflictEvent"

  #### Returns RTCSsrcConflictEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4407

  #### Parameters

  - ##### eventInterface: "RTCStatsEvent"

  #### Returns RTCStatsEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4408

  #### Parameters

  - ##### eventInterface: "RTCTrackEvent"

  #### Returns RTCTrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4409

  #### Parameters

  - ##### eventInterface: "SVGZoomEvent"

  #### Returns SVGZoomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4410

  #### Parameters

  - ##### eventInterface: "SVGZoomEvents"

  #### Returns SVGZoomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4411

  #### Parameters

  - ##### eventInterface: "SecurityPolicyViolationEvent"

  #### Returns SecurityPolicyViolationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4412

  #### Parameters

  - ##### eventInterface: "ServiceWorkerMessageEvent"

  #### Returns ServiceWorkerMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4413

  #### Parameters

  - ##### eventInterface: "SpeechRecognitionError"

  #### Returns SpeechRecognitionError

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4414

  #### Parameters

  - ##### eventInterface: "SpeechRecognitionEvent"

  #### Returns SpeechRecognitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4415

  #### Parameters

  - ##### eventInterface: "SpeechSynthesisErrorEvent"

  #### Returns SpeechSynthesisErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4416

  #### Parameters

  - ##### eventInterface: "SpeechSynthesisEvent"

  #### Returns SpeechSynthesisEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4417

  #### Parameters

  - ##### eventInterface: "StorageEvent"

  #### Returns StorageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4418

  #### Parameters

  - ##### eventInterface: "TextEvent"

  #### Returns TextEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4419

  #### Parameters

  - ##### eventInterface: "TouchEvent"

  #### Returns TouchEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4420

  #### Parameters

  - ##### eventInterface: "TrackEvent"

  #### Returns TrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4421

  #### Parameters

  - ##### eventInterface: "TransitionEvent"

  #### Returns TransitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4422

  #### Parameters

  - ##### eventInterface: "UIEvent"

  #### Returns UIEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4423

  #### Parameters

  - ##### eventInterface: "UIEvents"

  #### Returns UIEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4424

  #### Parameters

  - ##### eventInterface: "VRDisplayEvent"

  #### Returns VRDisplayEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4425

  #### Parameters

  - ##### eventInterface: "VRDisplayEvent "

  #### Returns VRDisplayEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4426

  #### Parameters

  - ##### eventInterface: "WebGLContextEvent"

  #### Returns WebGLContextEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4427

  #### Parameters

  - ##### eventInterface: "WheelEvent"

  #### Returns WheelEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4428

  #### Parameters

  - ##### eventInterface: string

  #### Returns Event

### createNodeIterator

- createNodeIterator(root: Node, whatToShow?: undefined | number, filter?: NodeFilter | null): NodeIterator

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4436

  Creates a NodeIterator object that you can use to traverse filtered lists of nodes or elements in a document.

  #### Parameters

  - ##### root: Node

    The root element or node to start traversing on.

  - ##### Optional whatToShow: undefined | number

    The type of nodes or elements to appear in the node list

  - ##### Optional filter: NodeFilter | null

    A custom NodeFilter function to use. For more information, see filter. Use null for no filter.

  #### Returns NodeIterator

### createProcessingInstruction

- createProcessingInstruction(target: string, data: string): ProcessingInstruction

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4444

  Returns a ProcessingInstruction node whose target is target and data is data. If target does not match the Name production an "InvalidCharacterError" DOMException will be thrown. If data contains "?>" an "InvalidCharacterError" DOMException will be thrown.

  #### Parameters

  - ##### target: string

  - ##### data: string

  #### Returns ProcessingInstruction

### createRange

- createRange(): Range

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4448

  Returns an empty range object that has both of its boundary points positioned at the beginning of the document.

  #### Returns Range

### createTextNode

- createTextNode(data: string): Text

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4453

  Creates a text string from the specified value.

  #### Parameters

  - ##### data: string

    String that specifies the nodeValue property of the text node.

  #### Returns Text

### createTouch

- createTouch(view: WindowProxy, target: EventTarget, identifier: number, pageX: number, pageY: number, screenX: number, screenY: number): Touch

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4454

  #### Parameters

  - ##### view: WindowProxy

  - ##### target: EventTarget

  - ##### identifier: number

  - ##### pageX: number

  - ##### pageY: number

  - ##### screenX: number

  - ##### screenY: number

  #### Returns Touch

### createTouchList

- createTouchList(...touches: Touch[]): TouchList

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4455

  #### Parameters

  - ##### Rest ...touches: Touch[]

  #### Returns TouchList

### createTreeWalker

- createTreeWalker(root: Node, whatToShow?: undefined | number, filter?: NodeFilter | null): TreeWalker
- createTreeWalker(root: Node, whatToShow: number, filter: NodeFilter | null, entityReferenceExpansion?: undefined | false | true): TreeWalker

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4463

  Creates a TreeWalker object that you can use to traverse filtered lists of nodes or elements in a document.

  #### Parameters

  - ##### root: Node

    The root element or node to start traversing on.

  - ##### Optional whatToShow: undefined | number

    The type of nodes or elements to appear in the node list. For more information, see whatToShow.

  - ##### Optional filter: NodeFilter | null

    A custom NodeFilter function to use.

  #### Returns TreeWalker

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4465
  deprecated

  #### Parameters

  - ##### root: Node

  - ##### whatToShow: number

  - ##### filter: NodeFilter | null

  - ##### Optional entityReferenceExpansion: undefined | false | true

  #### Returns TreeWalker

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### elementFromPoint

- elementFromPoint(x: number, y: number): Element | null

- Overrides DocumentOrShadowRoot.elementFromPoint

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4471

  Returns the element for the specified x coordinate and the specified y coordinate.

  #### Parameters

  - ##### x: number

    The x-offset

  - ##### y: number

    The y-offset

  #### Returns Element | null

### elementsFromPoint

- elementsFromPoint(x: number, y: number): Element[]

- Overrides DocumentOrShadowRoot.elementsFromPoint

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4472

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns Element[]

### evaluate

- evaluate(expression: string, contextNode: Node, resolver: XPathNSResolver | function | null, type: number, result: XPathResult | null): XPathResult

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4473

  #### Parameters

  - ##### expression: string

  - ##### contextNode: Node

  - ##### resolver: XPathNSResolver | function | null

  - ##### type: number

  - ##### result: XPathResult | null

  #### Returns XPathResult

### execCommand

- execCommand(commandId: string, showUI?: undefined | false | true, value?: undefined | string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4480

  Executes a command on the current document, current selection, or the given range.

  #### Parameters

  - ##### commandId: string

    String that specifies the command to execute. This command can be any of the command identifiers that can be executed in script.

  - ##### Optional showUI: undefined | false | true

    Display the user interface, defaults to false.

  - ##### Optional value: undefined | string

    Value to assign.

  #### Returns boolean

### exitFullscreen

- exitFullscreen(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4485

  Stops document's fullscreen element from being displayed fullscreen and resolves promise when done.

  #### Returns Promise<void>

### getAnimations

- getAnimations(): Animation[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4486

  #### Returns Animation[]

### getElementById

- getElementById(elementId: string): HTMLElement | null

- Overrides NonElementParentNode.getElementById

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4491

  Returns a reference to the first object with the specified value of the ID or NAME attribute.

  #### Parameters

  - ##### elementId: string

    String that specifies the ID value. Case-insensitive.

  #### Returns HTMLElement | null

### getElementsByClassName

- getElementsByClassName(classNames: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4495

  collection = element . getElementsByClassName(classNames)

  #### Parameters

  - ##### classNames: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByName

- getElementsByName(elementName: string): NodeListOf<HTMLElement>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4500

  Gets a collection of objects based on the value of the NAME or ID attribute.

  #### Parameters

  - ##### elementName: string

    Gets a collection of objects based on the value of the NAME or ID attribute.

  #### Returns NodeListOf<HTMLElement>

### getElementsByTagName

- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<HTMLElementTagNameMap[K]>
- getElementsByTagName<K>(qualifiedName: K): HTMLCollectionOf<SVGElementTagNameMap[K]>
- getElementsByTagName(qualifiedName: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4505

  Retrieves a collection of objects based on the specified element name.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<HTMLElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4506

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### qualifiedName: K

  #### Returns HTMLCollectionOf<SVGElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4507

  #### Parameters

  - ##### qualifiedName: string

  #### Returns HTMLCollectionOf<Element>

### getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4515

  If namespace and localName are "" returns a HTMLCollection of all descendant elements. If only namespace is "" returns a HTMLCollection of all descendant elements whose local name is localName. If only localName is "*" returns a HTMLCollection of all descendant elements whose namespace is namespace. Otherwise, returns a HTMLCollection of all descendant elements whose namespace is namespace and local name is localName.

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4516

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4517

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### getRootNode

- getRootNode(options?: GetRootNodeOptions): Node

- Inherited from Node.getRootNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10464

  Returns node's shadow-including root.

  #### Parameters

  - ##### Optional options: GetRootNodeOptions

  #### Returns Node

### getSelection

- getSelection(): Selection | null

- Inherited from DocumentOrShadowRoot.getSelection

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4699

  #### Returns Selection | null

### hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10468

  Returns whether node has children.

  #### Returns boolean

### hasFocus

- hasFocus(): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4521

  Gets a value indicating whether the object currently has focus.

  #### Returns boolean

### importNode

- importNode<T>(importedNode: T, deep: boolean): T

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4522

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### importedNode: T

  - ##### deep: boolean

  #### Returns T

### insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10469

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### isDefaultNamespace

- isDefaultNamespace(namespace: string | null): boolean

- Inherited from Node.isDefaultNamespace

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10470

  #### Parameters

  - ##### namespace: string | null

  #### Returns boolean

### isEqualNode

- isEqualNode(otherNode: Node | null): boolean

- Inherited from Node.isEqualNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10474

  Returns whether node and otherNode have the same properties.

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### isSameNode

- isSameNode(otherNode: Node | null): boolean

- Inherited from Node.isSameNode

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10475

  #### Parameters

  - ##### otherNode: Node | null

  #### Returns boolean

### lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10476

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### lookupPrefix

- lookupPrefix(namespace: string | null): string | null

- Inherited from Node.lookupPrefix

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10477

  #### Parameters

  - ##### namespace: string | null

  #### Returns string | null

### normalize

- normalize(): void

- Inherited from Node.normalize

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10481

  Removes empty exclusive Text nodes and concatenates the data of remaining contiguous exclusive Text nodes into the first of their nodes.

  #### Returns void

### open

- open(url?: undefined | string, name?: undefined | string, features?: undefined | string, replace?: undefined | false | true): Document

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4530

  Opens a new window and loads a document specified by a given URL. Also, opens a new window that uses the url parameter and the name parameter to collect the output of the write method and the writeln method.

  #### Parameters

  - ##### Optional url: undefined | string

    Specifies a MIME type for the document.

  - ##### Optional name: undefined | string

    Specifies the name of the window. This name is used as the value for the TARGET attribute on a form or an anchor element.

  - ##### Optional features: undefined | string

    Contains a list of items separated by commas. Each item consists of an option and a value, separated by an equals sign (for example, "fullscreen=yes, toolbar=yes"). The following values are supported.

  - ##### Optional replace: undefined | false | true

    Specifies whether the existing entry for the document is replaced in the history list.

  #### Returns Document

### prepend

- prepend(...nodes: (string | Node)[]): void

- Inherited from ParentNode.prepend

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10825

  Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### queryCommandEnabled

- queryCommandEnabled(commandId: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4535

  Returns a Boolean value that indicates whether a specified command can be successfully executed using execCommand, given the current state of the document.

  #### Parameters

  - ##### commandId: string

    Specifies a command identifier.

  #### Returns boolean

### queryCommandIndeterm

- queryCommandIndeterm(commandId: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4540

  Returns a Boolean value that indicates whether the specified command is in the indeterminate state.

  #### Parameters

  - ##### commandId: string

    String that specifies a command identifier.

  #### Returns boolean

### queryCommandState

- queryCommandState(commandId: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4545

  Returns a Boolean value that indicates the current state of the command.

  #### Parameters

  - ##### commandId: string

    String that specifies a command identifier.

  #### Returns boolean

### queryCommandSupported

- queryCommandSupported(commandId: string): boolean

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4550

  Returns a Boolean value that indicates whether the current command is supported on the current range.

  #### Parameters

  - ##### commandId: string

    Specifies a command identifier.

  #### Returns boolean

### queryCommandValue

- queryCommandValue(commandId: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4555

  Returns the current value of the document, range, or current selection for the given command.

  #### Parameters

  - ##### commandId: string

    String that specifies a command identifier.

  #### Returns string

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10830

  Returns the first element that is a descendant of node that matches selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10831

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10832

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10837

  Returns all element descendants of node that match selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10839

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

### releaseEvents

- releaseEvents(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4557
  deprecated

  #### Returns void

### removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10482

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4573

  #### Type parameters

  - #### K: keyof DocumentEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Document, ev: DocumentEventMap[K]): any

      - #### Parameters

        - ##### this: Document

        - ##### ev: DocumentEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4574

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10483

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### write

- write(...text: string[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4562

  Writes one or more HTML expressions to a document in the specified window.

  #### Parameters

  - ##### Rest ...text: string[]

  #### Returns void

### writeln

- writeln(...text: string[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4567

  Writes one or more HTML expressions, followed by a carriage return, to a document in the specified window.

  #### Parameters

  - ##### Rest ...text: string[]

  #### Returns void

Generated using TypeDoc